be.fgov.ehealth.hubservices.core.v2

## Class AuthorWithPatientAndPersonType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.AuthorType
  - - be.fgov.ehealth.hubservices.core.v2.AuthorWithPatientAndPersonType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:28:03+02:00",
                 comments="JAXB RI v2.2.11")
      public class AuthorWithPatientAndPersonType
      extends AuthorType
      implements Serializable

  Java class for AuthorWithPatientAndPersonType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthorWithPatientAndPersonType">
         <complexContent>
           <extension base="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType" minOccurs="0"/>
               <element name="person" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personTypeLight" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorWithPatientAndPersonType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `PersonTypeLight` | `getPerson()` Gets the value of the person property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
    `void` | `setPerson(PersonTypeLight value)` Sets the value of the person property.

    - ### Methods inherited from class be.fgov.ehealth.standards.kmehr.schema.v1.AuthorType

      `getHcparties`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorWithPatientAndPersonType

          public AuthorWithPatientAndPersonType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getPerson

          public PersonTypeLight getPerson()

      Gets the value of the person property.
      Returns:
        possible object is `PersonTypeLight`

    - #### setPerson

          public void setPerson(PersonTypeLight value)

      Sets the value of the person property.
      Parameters:
        `value` - allowed object is `PersonTypeLight`

Connector Packaging TRUSSMAKER 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.